Updating gem os x

If you don't already have a Github account, make sure to register. You'll probably want something more robust like My SQL or Postgre SQL.

updating gem os x-75updating gem os x-11

You can run it manually to see if it starts, and then if that goes well, you can run the launchctl commands to have it start on boot.Great tutorial - thanks.'gem install rails' took so long I thought it was broken.'gem install rails -V' is useful as it shows what it's doing.We will be setting up a Ruby on Rails development environment on Mac OS X 10.10 Yosemite.Older versions of OS X are mostly compatible so follow along as far as you can and then Google search for any problems you run into.You can install My SQL server and client from Homebrew: # To have launchd start postgresql at login: ln -sfv /usr/local/opt/postgresql/*plist ~/Library/Launch Agents # Then to load postgresql now: launchctl load ~/Library/Launch Agents/postgresql.plistrails new myapp #### If you want to use My SQL rails new myapp -d mysql #### If you want to use Postgres # Note you will need to change config/database.yml's username to be # the same as your OSX user account.(for example, mine is 'chris') rails new myapp -d postgresql # Move into the application directory cd myapp # If you setup My SQL or Postgres with a username/password, modify the # config/file to contain the username/password that you specified # Create the database rake db:create rails server When I try to install Homebrew, I get:csu:~$ ruby -e "$(curl -fs SL https://raw.github.com/Home..."dyld: Library not loaded: /usr/local/lib/libgmp.10.dylib Referenced from: /Users/christophersu/.rvm/rubies/ruby-2.1.1/bin/ruby Reason: image not found Trace/BPT trap: 5csu:~$ After yosmite posters has stopped working/Users/jitendravyas/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activerecord-4.1.6/lib/active_record/connection_adapters/postgresql_adapter.rb:888:in `initialize': could not connect to server: No such file or directory (PG:: Error)Is the server running locally and acceptingconnections on Unix domain socket "/tmp/.s. from /Users/jitendravyas/.rbenv/versions/2.1.2/lib/ruby/gems/2.1.0/gems/activerecord-4.1.6/lib/active_record/connection_adapters/postgresql_adapter.rb:888:in `new' Your SQL server may not be running either just because it wasn't started or because of an error.You can run this command to see what user owns the files and we can see if that's actually the problem: Hi again Chris, I Just came back to this thread i didn't expect you to reply so fast thank you so much, I got JSON working by manually adding Sudo command again but then had another issue with the next package, did a little research and although I guess its a little risky I was able to use the sudo -s command to have terminal comply with all requests, so i followed the final steps again but couldn't get localhost:3000 to work. no Building nokogiri using packaged libraries.checking for gzdopen() in -lz... /Users/billtubbs/.rbenv/versions/2.2.1/bin/ruby -r ./siteconf20150325-2154-64wma0extconf.rbchecking if the C compiler accepts ...I deleted the Myapp folder and did the Final steps again I did get this message though I'm not sure if it will affect anything - ( ahh its probably because i used the command earlier and its not a part of the myapp folder i deleted)Keiths-i Mac:myapp Home$ rake db:createmyapp_development already existsmyapp_test already exists When i used "Rails Server" this time i got a better result and now Im able to access localhost:3000, Perseverance has paid off. nozlib is missing; necessary for building libxml2*** failed ***Could not create Makefile due to some reason, probably lack of necessarylibraries and/or headers. yeschecking if the C compiler accepts -Wno-error=unused-command-line-argument-hard-error-in-future...4.2.1 has no difference in instructions, just a security patched version of 4.2.0. Sometimes you need to restart your terminal to proceed.There's a lot of other information on this issue here: https://github.com/sparklem...

Leave a Reply

Your email address will not be published. Required fields are marked *

One thought on “updating gem os x”